import request from "@/utils/request";

export function showTask(params) {
  return request({
    url: '/integration/task/selectAll',
    method: 'get',
    params
  })
}

export function addTask(data) {
  return request({
    url: '/integration/task/addTask',
    method: 'post',
    data
  })
}

export function delTask(id) {
  return request({
    url: '/integration/task/delTask?id='+id,
    method: 'delete',
  })
}

export function updTask(params) {
  return request({
    url: '/integration/task/delTask',
    method: 'put',
    params
  })
}

export function extractDataName() {
  return request({
    url: '/integration/task/extractDataName',
    method: 'post',
  })
}

export function selectByTableName(tableName) {
  return request({
    url: `/integration/task/selectByTableName?tableName=`+tableName,
    method: 'post',
  })
}


